%global momorel 1

%global macrosrcname OOoLatexMacro
%global testver 5
%global emfsrcname OOoLatexEmf_noarch_src
#%%global emfdate 2007.03.20
%global realname ooolatex
%global ooodir %{_libdir}/openoffice.org2.0

Summary: LaTeX extensions to OpenOffice.org
Name:    openoffice.org-ooolatex
Version: 3.0
Release: 0.%{testver}.%{momorel}m%{?dist}
Group:   Applications/Productivity
License: GPL
URL:     http://ooolatex.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{realname}/%{macrosrcname}-test%{testver}.tar.gz 07e144db4ee7ab83a5ffdbe927f74ddb
%NoSource 1 http://dl.sourceforge.net/sourceforge/%{realname}/%{emfsrcname}.tar.gz ad1ab04077828e91a4df906a850bc013
Patch0: ooolatex-test4-defaultpath.patch
Patch1: ooolatex-test4-use_convert_for_png.patch
Patch2: ooolatex-test4-enable_in_draw.patch
Patch3: ooolatexemf-20050919.makefile.patch
Patch4: ooolatex-test4-newline.patch
Requires: openoffice.org-core
Requires: tetex-latex, ghostscript, ImageMagick
Requires: epstool, libemf
Requires(post,preun): openoffice.org-core
BuildRequires: libemf-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
OOoLatex is an OpenOffice.org marco. It intends to provide Latex support like inserting equations as images (png, eps and emf). The latex code is saved in the image attribute to allow equation edition.

%prep
%setup -q -n %{macrosrcname}-test%{testver} -a 1
%patch0 -p1 -b .defaultpath
%patch1 -p1 -b .pngconvert
%patch2 -p1 -b .draw
(cd %{emfsrcname}
%patch3 -p1 -b .orig
)
%patch4 -p1 -b .newline

%build
(cd %{emfsrcname}/Linux
 make all
)
cp %{emfsrcname}/README README.%{emfsrcname}


%install
rm -rf %{buildroot}
# copy OOoBasic macros
mkdir -p %{buildroot}%{ooodir}/share/basic/OOoLatex
cp -pf macro-2.0/*.{xba,xdl,xlb} %{buildroot}%{ooodir}/share/basic/OOoLatex/
# install script and binaries
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/OOoLatex %{buildroot}%{_bindir}
install -m 755 %{emfsrcname}/Linux/latex2emf %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%post
# registration to OOo
# for detailed usage of unopkg, see a following link
# http://docs.sun.com/app/docs/doc/819-1346/6n3n8r056?l=ja&a=view
#if [ "$1" -eq 1 ]; then
    if [ -x %{ooodir}/program/unopkg ]; then
	%{ooodir}/program/unopkg add -f --shared %{ooodir}/share/basic/OOoLatex && \
	echo "Notice: For a shortcut configuration, see http://ooolatex.sf.net/" && \
	echo "Installing truetype-fonts-bakoma is recommended to use EMF mode." \
	|| echo "ERROR: Extension registering may fail if concurrent OOo process(es) are running. Plese quit all OOo process(es) before update/remove."
    fi
#fi

%preun
if [ "$1" -eq 0 ]; then
    if [ -x %{ooodir}/program/unopkg ]; then
	%{ooodir}/program/unopkg remove -f --shared OOoLatex || \
	    echo "ERROR: Extension registering may fail if concurrent OOo process(es) are running. Plese quit all OOo process(es) before update/remove."
    fi
fi

%files
%defattr(-,root,root)
%doc README* %{emfsrcname}/License
%{_bindir}/*
%{ooodir}/share/basic/OOoLatex

%changelog
* Tue May 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-0.5.1m)
- 3.0-test5 release

* Wed Nov 22 2006  Masayuki SANO <nosanosa@momonga-linux.org>
- (0-0.4.2m)
- update ooolatexemf-20050919.makefile.patch
- - for make it enable to build in x86_64, please test.

* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0-0.4.1m)
- imported to Momonga
- OOoLatexMacro-test4 and OOoLatexEmf-2005.09.19

* Wed May 31 2006 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0-0.0.0.test4.1m)
- build for Momonga
- converter for PNG image is changed to "convert" from "gs" since ghostscript in Momonga is still 7.0x
